import java.lang.reflect.*;

public class Ring1 {
   // Key attribute
   int id;

   int width = 1;
   Circle circle = null;

   // The no-argument constructor, reqd by dbMapper
   public Ring1() {
      // Created and initialize all nested fields
      circle = new Circle(0, new Point(0,0));
   }

   // Other constructors
   public Ring1 (int id, int width, Circle circle) {
      this.id = id;
      this.width = width;
      this.circle = circle;
   }


   // Getter/Setter methods for attributes
   public int getId () {
      return id;
   }
   public void setId (int id) {
      this.id = id;
   }

   public int getWidth () {
      return width;
   }
   public void setWidth (int width) {
      this.width = width;
   }

   public int getRadius () {
      return circle.getRadius();
   }
   public void setRadius (int radius) {
      circle.setRadius (radius);
   }

   public int getX () {
      return circle.getCenter().getX();
   }
   public void setX (int x) {
      circle.getCenter().setX (x);
   }

   public int getY () {
      return circle.getCenter().getY();
   }
   public void setY (int y) {
      circle.getCenter().setY (y);
   }

   public String toString() {
      java.util.Hashtable h = new java.util.Hashtable();
      Class cls = getClass();
      Field[] fields = cls.getDeclaredFields();
      //AccessibleObject.setAccessible(fields, true);
      for(int i=0; i<fields.length; i++) {
         try {
            h.put(fields[i].getName(), fields[i].get(this) + "\n");
         }
         catch(IllegalAccessException e) {}
      }    
      if(cls.getSuperclass().getSuperclass() != null) {
         h.put("super", super.toString());
      }
      return cls.getName() + "\n" + h;
   }

}
