import java.lang.reflect.*;

public class Account {
   // Primary key attribute
   Integer id;

   // one-to-one relationship with balance attribute
   Balance balance;

   // The no-argument constructor, reqd by dbMapper
   public Account() {
   }

   // Other constructors
   public Account (Integer id, Balance balance) {
      this.id = id;
      this.balance = balance;
   }


   // Getter/Setter methods for attributes
   public Integer getId () {
      return id;
   }

   public Balance getBalance () {
      return balance;
   }

   public void setId (Integer id) {
      this.id = id;
   }

   public void setBalance (Balance balance) {
      this.balance = balance;
   }


   public String toString() {
      java.util.Hashtable h = new java.util.Hashtable();
      Class cls = getClass();
      Field[] fields = cls.getDeclaredFields();
      //AccessibleObject.setAccessible(fields, true);
      for(int i=0; i<fields.length; i++) {
         try {
            h.put(fields[i].getName(), fields[i].get(this) + "\n");
         }
         catch(IllegalAccessException e) {}
      }    
      if(cls.getSuperclass().getSuperclass() != null) {
         h.put("super", super.toString());
      }
      return cls.getName() + "\n" + h;
   }

}
