public class Point {
   int id;
   int x;
   int y;

   public Point() {
      this (0, 0, 0);
   }

   public Point(int id) {
      this(id, 0, 0);
   }

   public Point (int id, int x, int y) {
      this.id = id;
      this.x = x;
      this.y = y;
   }

   public int getId () {
      return id;
   }
   public void setId (int id) {
      this.id = id;
   }

   public int getX () {
      return x;
   }
   public void setX (int x) {
      this.x = x;
   }

   public int getY () {
      return y;
   }
   public void setY (int y) {
      this.y = y;
   }

   public String toString() {
      return "[" + id + ",(" + x + "," + y + ")]";
   }

}
