import java.lang.reflect.*;

public class Point {
   int x;
   int y;

   public Point() {
      x = 0;
      y = 0;
   }

   public Point (int x, int y) {
      this.x = x;
      this.y = y;
   }

   public int getX () {
      return x;
   }
   public void setX (int x) {
      this.x = x;
   }

   public int getY () {
      return y;
   }
   public void setY (int y) {
      this.y = y;
   }

   public String toString() {
      java.util.Hashtable h = new java.util.Hashtable();
      Class cls = getClass();
      Field[] fields = cls.getDeclaredFields();
      //AccessibleObject.setAccessible(fields, true);
      for(int i=0; i<fields.length; i++) {
         try {
            h.put(fields[i].getName(), fields[i].get(this) + "\n");
         }
         catch(IllegalAccessException e) {}
      }    
      if(cls.getSuperclass().getSuperclass() != null) {
         h.put("super", super.toString());
      }
      return cls.getName() + "\n" + h;
   }

}
